//Setup the transition animations
transRight = {"transform":"translate3d(100%,0,0)","-webkit-transform":"translate3d(100%,0,0)"};
transLeft = {"transform":"translate3d(-100%,0,0)","-webkit-transform":"translate3d(-100%,0,0)"};
transNone = {"transform":"translate3d(0,0,0)","-webkit-transform":"translate3d(0,0,0)"};

function departTrans(){
	if (tablet === false || paidapp === false) {
		$('#depart-content').show();
		$("#arrive-content").css(transRight);
		$("#schedule-content").css(transRight);
		$("#depart-content").css(transNone);
		$$(document).off('swipeRight').on('swipeRight', function(){
			sideMenuOpen();
		});
		$(document).off('backbutton').on("backbutton", function(e) {
			e.preventDefault();
		});
	}
}

function arriveTrans(){
	if (tablet === false || paidapp === false) {
		$('#arrive-content').show();
		$("#depart-content").css(transLeft);
		$("#schedule-content").css(transRight);
		$("#arrive-content").css(transNone);
		$$(document).off('swipeRight').on('swipeRight', function(){
			departList();
		});
		$(document).off('backbutton').on("backbutton", function(e) {
			e.preventDefault();
			departList();
		});
	}
}

function scheduleTrans(){
	if (tablet === false || paidapp === false) {
		$('#schedule-content').show();
		$("#depart-content").css(transLeft);
		$("#arrive-content").css(transLeft);
		$("#schedule-content").css(transNone);
		$$(document).off('swipeRight').on('swipeRight', function(){
			arriveList();
		});
		$(document).off('backbutton').on("backbutton", function(e) {
			e.preventDefault();
			arriveList();
		});
	}
}